[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.DoInsert

Performs actions needed to insert the specified list item.

## Declaration

Source position: comctrls.pp line 1535

`protected procedure TCustomListView.DoInsert(`
`AItem: TListItem`
`); virtual;`

## Arguments

`AItem` |  | List view item inserted in the method.

## Description

DoInsert ensures an overridden Insert method in a descendent class is always executed for the list item in AItem. If the method has been overridden, the OnInsert event handler is signalled (when assigned).

DoInsert is called from the ItemInserted method which occurs when the list item is stored in the Items property.

## See also

TCustomListView.ItemInserted |  | Performs actions when a list item has been inserted in the Items collection.
TCustomListView.OnInsert |  | Event handler signalled when a list item is added to or inserted in the Items for the control.
TCustomListView.Items |  | Collection of list items displayed on the list view control.
TListItems.Insert |  | Creates and inserts a list item at the specified ordinal position in the container.
TListItems.InsertItem |  | Inserts the specified list item at the specified position in the internal storage for the container.